<?php
/*
 * Plugin Name: Swooshtransfer Gateway
 * Plugin URI: https://wordpress.org/plugins/woocommerce-gateway-swooshtransfer/
 * Description: Swooshtransfer Credit card
 * Author: WooCommerce
 * Version: 2.1
 * Author URI:  https://woocommerce.com/
 */

if (!defined('ABSPATH'))
    exit (); // Exit if accessed directly


require_once("AopClient_vm.php");

define( 'WC_wooshpay_vm_URL', __FILE__ );

// 加载插件时，初始化自定义类
add_action('plugins_loaded', 'init_my_gateway_class_vm');
function init_my_gateway_class_vm()
{
    require_once('class_wc_gateway_vm.php');
    global $wc_geteway_wooshpay;
    $wc_geteway_wooshpay = new WC_Gateway_Wooshpay_vm();
}

// 告诉WC这个类的存在
add_filter('woocommerce_payment_gateways', 'add_my_gateway_class_vm');
function add_my_gateway_class_vm($methods)
{
    $methods[] = 'WC_Gateway_Wooshpay_vm';
    return $methods;
}


